<!DOCTYPE html>

<head>
  <meta charset="utf-8">
  <title>Lista lotów</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" type="text/css" media="screen" href="main.css">
  <script>
    window.addEventListener("DOMContentLoaded", () => {
      document.getElementById("name").value = "Sebastian";
      console.log('Wpisano imię: Sebastian');
    });
  </script>
</head>

<body>

  <div class="container">

    <header>
      <img id="logoheader" src="logo.png" alt="logo strony">
      <h1 id="textheader"> LISTA LOTÓW </h1>
    </header>

    <nav>
      <ul id="mainNav">
        <li><a href="#">rozkład lotów</a></li>
        <li><a href="#">złota karta</a></li>
        <li><a href="#">dokumenty</a>
          <ul>
            <li><a href="#">zasady zakupu</a></li>
            <li><a href="#">regulamin</a></li>
            <li><a href="#">warunki</a></li>
          </ul>
        </li>
        <li><a href="#">informacje</a></li>
        <li><a href="#">odprawa online</a></li>
        <li id="lastNavLi"><a href="#">FAQ</a></li>
      </ul>
    </nav>

    <main class="middleSection">
      <section class="info">
        <p>
          W trosce o Państwa wygodę na bieżąco aktualizujemy rozład najbliższych lotów.
        </p>
        <p>
          Uwaga: rozkład lotów może ulec zmianie. W razie odwołania lub opóźnienia
          lotu otrzymają państwo SMS na numer podany w trakcie rezerwacji biletu.
          Prosimy jednak obserwować aktualny stan rozkładu.
        </p>
       </section>

      <div class="flyTableContainer">
        <table id="flyTable" >
          <thead>
            <tr>
              <th>nr </th>
              <th>Skąd</th>
              <th>Dokąd</th>
              <th>Data</th>
              <th>Godzina</th>
              <th>Informacja</th>
            </tr>
          </thead>
          <tbody>
            <tr id="flightCancelled">
              <td>7035</td>
              <td>Pekin</td>
              <td>Berlin</td>
              <td>29.03.2020</td>
              <td>19:04</td>
              <td><div class="flightinfo">Odwołany</div></td>
            </tr>
            <tr id="flightVeryDelayed">
              <td>7100</td>
              <td>Warszawa</td>
              <td>Tokio</td>
              <td>29.03.2020</td>
              <td>21:31</td>
              <td><div class="flightinfo">Opóźniony 3h</div></td>
            </tr>
            <tr id="flightOk">
              <td>6812</td>
              <td>Londyn</td>
              <td>Warszawa</td>
              <td>29.03.2020</td>
              <td>22:35</td>
              <td><div class="flightinfo"></div></td>
            </tr>
            <tr id="flightDelayed">
              <td><a href="lot.html">6533</a></td>
              <td>Warszawa</td>
              <td>Berlin</td>
              <td>29.03.2020</td>
              <td>23:47</td>
              <td><div class="flightinfo">Opóźniony 20min</div></td>
            </tr>
            <tr id="flightOk">
              <td>6534</td>
              <td>Warszawa</td>
              <td>Atlanta</td>
              <td>30.03.2020</td>
              <td>04:20</td>
              <td><div class="flightinfo"></div></td>
            </tr>
            <tr id="flightCancelled">
              <td>7039</td>
              <td>Pekin</td>
              <td>Berlin</td>
              <td>30.03.2020</td>
              <td>07:12</td>
              <td><div class="flightinfo">Odwołany</div></td>
            </tr>
            <tr id="flightOk">
              <td>6595</td>
              <td>Dubaj</td>
              <td>Tokio</td>
              <td>30.03.2020</td>
              <td>12:25</td>
              <td><div class="flightinfo"></div></td>
            </tr>
            <tr id="flightOk">
              <td>7007</td>
              <td>Los Angeles</td>
              <td>Chicago</td>
              <td>30.03.2020</td>
              <td>13:39</td>
              <td><div class="flightinfo"></div></td>
            </tr>
          </tbody>
        </table>
      </div>
    </main>

    <div class="cancelled">
       Uwaga: odwołano następujące loty:
       <p>Pekin &rarr; Berlin 29.03.2020, 19:04</p>
       <p>Pekin &rarr; Berlin 30.03.2020, 07:12</p>
    </div>

    <section class="reservation">
      <h2> Rezerwacja lotu </h2>
      <form action="#">
        <label for="from">Wylot:</label><br>
        <select id="from" name="from">
          <option value="atlanta">Atlanta</option>
          <option value="berlin">Berlin</option>
          <option value="chicago">Chicago</option>
          <option value="dubaj">Dubaj</option>
          <option value="londyn">Londyn</option>
          <option value="losangeles">Los Angeles</option>
          <option value="pekin">Pekin</option>
          <option value="tokio">Tokio</option>
          <option value="warszawa">Watszawa</option>
        </select>
        <label for="to">Przylot:</label><br>
        <select id="to" name="to">
          <option value="atlanta">Atlanta</option>
          <option value="berlin">Berlin</option>
          <option value="chicago">Chicago</option>
          <option value="dubaj">Dubaj</option>
          <option value="londyn">Londyn</option>
          <option value="losangeles">Los Angeles</option>
          <option value="pekin">Pekin</option>
          <option value="tokio">Tokio</option>
          <option value="warszawa">Watszawa</option>
        </select>
        <label for="date">Data:</label><br>
        <input type="date" id="date" name="date">
        <label for="nameAndSurname">Imię i nazwisko:</label><br>
        <input type="text" id="name" name="nameAndSurname"><br>
        <label for="mail">Mail:</label><br>
        <input type="text" id="mail" name="mail"><br>

        <div class="submitAndReset">
          <input type="submit" id="submit" value="Rezerwuj" disabled>
          <input type="reset" value="Reset">
        </div>

      </form>
    </section>

    <footer>
      <p> Grzegorz Gruza</p>
    </footer>

  </div>
  <script src="main.js"></script>
</body>
